/****************************************************************************
Date: 9/19/96 EXPERIMENTAL
File: modulate.hpp

Description:	MODULATION TYPE
	Type representing modulation used in radio communication.

History:

*****************************************************************************/
#ifndef MODULATE_HPP
#define MODULATE_HPP

#include <stddef.h>
#include "loctypes.h"

enum MODULATION {
	MODULATION_NA  = 0,	// not available or unknown
	MODULATION_LSB = 1,	// Lower Side Band
	MODULATION_USB = 2,	// Upper Side Band
	MODULATION_CW  = 3,	// CW
	MODULATION_FM  = 4,	// Frequency Modulation
	MODULATION_AM  = 5,	// Amplitude Modulation
	MODULATION_FSK = 6,	// Frequency Shift Keying
};
#endif // modulate.hpp
